GET
/
api
/
v1
/
accounts
/
{account_id}
/
scheduling
/
services
List scheduling services and per-resource prices
curl --request GET \
  --url https://one-link.kz/api/v1/accounts/{account_id}/scheduling/services \
  --header 'api_access_token: <api-key>'
{
  "payload": [
    {
      "id": 123,
      "account_id": 123,
      "name": "<string>",
      "base_price": 123,
      "duration_min": 123,
      "category": "<string>",
      "direction": "<string>",
      "service_type": "<string>",
      "active": true,
      "prices": [
        {
          "id": 123,
          "resource_id": 123,
          "price": 123,
          "compensation_type": "<string>",
          "compensation_value": 123,
          "active": true
        }
      ]
    }
  ],
  "meta": {
    "count": 123
  }
}

Authorizations

api_access_token
string
header
required

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

Path Parameters

account_id
integer
required

The numeric ID of the account

Query Parameters

include_inactive
boolean
default:false

Response

Service list

payload
object[]
meta
object